summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author slakmagik2011-01-29 05:14:26 +0100
committer Robby Workman2011-03-01 16:26:04 +0100
commit0af14e85aec6c61f2468d5109246827bdb3f25be (patch)
tree4bb599b5bdf3d5b18596f3cbdd6c6aee0523361e
parent526942b9da975aeb244037edfd0743b9a2c7ef31 (diff)
downloadslackbuilds-0af14e85aec6c61f2468d5109246827bdb3f25be.tar.gz
misc/dwdiff: Miscellaneous cleanups
Note in the README that the optional icu4c lib is available from SBo (which it might not be, being optional). Move the NLS setting to the rest of the settings so people who hand-edit don't have to look for magic settings. Remove useless braces. Tweak strip boilerplate. Simplify man page handling. Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
-rw-r--r--misc/dwdiff/README3
-rw-r--r--misc/dwdiff/dwdiff.SlackBuild21
2 files changed, 11 insertions, 13 deletions
diff --git a/misc/dwdiff/README b/misc/dwdiff/README
index 74cef98a63..17c4433461 100644
--- a/misc/dwdiff/README
+++ b/misc/dwdiff/README
@@ -16,4 +16,5 @@ If you wish to have nl manpages and/or de, fr, nl, ru localization pass
'NLS="de fr nl ru"' (or whichever of them is wanted) to the SlackBuild.
If you wish to enable the handling of Unicode text, install the icu4c
-library and pass "UNICODE=yes" to the SlackBuild.
+library (also available from SlackBuilds.org) and pass "UNICODE=yes" to
+the SlackBuild.
diff --git a/misc/dwdiff/dwdiff.SlackBuild b/misc/dwdiff/dwdiff.SlackBuild
index 140c7eb71a..fb797415d6 100644
--- a/misc/dwdiff/dwdiff.SlackBuild
+++ b/misc/dwdiff/dwdiff.SlackBuild
@@ -41,6 +41,7 @@ if [ -z "$UNICODE" ]; then
else
UNICODE=with
fi
+NLS="${NLS:-""}"
set -e
@@ -61,26 +62,22 @@ find . \
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
- --${UNICODE}-unicode \
+ --$UNICODE-unicode \
--prefix=/usr \
--mandir='$(prefix)/man'
-make LINGUAS="${NLS:=""}" prefix=/usr
-make LINGUAS="${NLS:=""}" prefix=$PKG/usr install
+make LINGUAS="$NLS" prefix=/usr
+make LINGUAS="$NLS" prefix=$PKG/usr install
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF |
+ cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
mv $PKG/usr/share/doc $PKG/usr
if [ -z "$NLS" ]; then # share/ will be empty
rmdir $PKG/usr/share
fi
-
-find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
- | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
-
-find $PKG/usr/man -type f -exec gzip -9 {} \;
-for i in $(find $PKG/usr/man -type l); do
- ln -s $(readlink $i).gz $i.gz; rm $i
-done
-
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
mkdir -p $PKG/install